[SCM] Samba Shared Repository - branch master updated

Stefan Metzmacher metze at samba.org
Fri Apr 22 03:41:02 MDT 2011


The branch, master has been updated
       via  317e40d script/librelease: display the permission on the server
       via  74458b5 script/librelease: add more error checking
       via  bacc019 script/librelease: set umask 0022
       via  40792f8 script/librelease: use a GPG_KEYID variable to hold the signing key
      from  b48e223 s3: Fix Coverity ID 2047, UNUSED_VALUE

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 317e40d46b1a2252a5f60711acc73e80498a26b3
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Apr 22 10:25:23 2011 +0200

    script/librelease: display the permission on the server
    
    metze
    
    Autobuild-User: Stefan Metzmacher <metze at samba.org>
    Autobuild-Date: Fri Apr 22 11:40:13 CEST 2011 on sn-devel-104

commit 74458b53ed37662586bd2f4466980bec1883364a
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Apr 22 10:18:15 2011 +0200

    script/librelease: add more error checking
    
    metze

commit bacc019daba9d846f44cb66a04e470db7f9f24ac
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Apr 22 10:14:45 2011 +0200

    script/librelease: set umask 0022
    
    Releases should be readable by everyone.
    
    metze

commit 40792f8bc4d88ba365532f79cbdfb8dbbe507ffc
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Apr 22 10:08:52 2011 +0200

    script/librelease: use a GPG_KEYID variable to hold the signing key
    
    metze

-----------------------------------------------------------------------

Summary of changes:
 script/librelease.sh |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)


Changeset truncated at 500 lines:

diff --git a/script/librelease.sh b/script/librelease.sh
index 666c392..7fbca88 100755
--- a/script/librelease.sh
+++ b/script/librelease.sh
@@ -2,6 +2,7 @@
 # make a release of a Samba library
 
 GPG_USER='Samba Library Distribution Key <samba-bugs at samba.org>'
+GPG_KEYID='13084025'
 
 if [ ! -d ".git" ]; then
 	echo "Run this script from the top-level directory in the"
@@ -14,6 +15,7 @@ if [ $# -lt 1 ]; then
     exit 1
 fi
 
+umask 0022
 
 release_lib() {
     lib="$1"
@@ -39,11 +41,15 @@ release_lib() {
 
     tagname=$(basename $tarname .tar | sed s/[\.]/-/g)
     echo "tagging as $tagname"
-    git tag -u 13084025 -s "$tagname" -m "$lib: tag release $tagname"
+    git tag -u $GPG_KEYID -s "$tagname" -m "$lib: tag release $tagname" || {
+	exit 1
+    }
 
     echo "signing"
     rm -f "$tarname.asc"
-    gpg -u "$GPG_USER" --detach-sign --armor $tarname || exit 1
+    gpg -u "$GPG_USER" --detach-sign --armor $tarname || {
+	exit 1
+    }
     [ -f "$tarname.asc" ] || {
 	echo "Failed to create signature $tarname.asc"
 	exit 1
@@ -56,7 +62,10 @@ release_lib() {
     }
 
     echo "Transferring"
-    rsync -Pav $tarname.asc $tgzname master.samba.org:~ftp/pub/$lib/
+    rsync -Pav $tarname.asc $tgzname master.samba.org:~ftp/pub/$lib/ || {
+	exit 1
+    }
+    rsync master.samba.org:~ftp/pub/$lib/$tarname.*
 
     popd
 }


-- 
Samba Shared Repository


More information about the samba-cvs mailing list